package in.cdac.medinfo.csnotk.csnolib.disb.model;

import java.io.Serializable;



/**
 * The persistent class for the chemical_representation database table.
 * 
 */


public class ChemicalRepresentation implements Serializable {
	private static final long serialVersionUID = 1L;

	
	private String id;

	
	private String value;
	
	/*
	 * when we use @Transient hibernate does not create column for that property in the table
	 * we are using these fields only for indexing
	 */	
	private String chemRepresentationSystem;
	
	
	private ChemicalRepresentationSystem chemicalRepresentationSystem;

	
	private SubstanceDetail substanceDetail;

	public ChemicalRepresentation(String value) {
		super();
		this.value = value;
	}
	
	public ChemicalRepresentation() {

	}

	public ChemicalRepresentation(String value, String chemRepresentationSystem) {
		super();
		this.value = value;
		this.chemRepresentationSystem = chemRepresentationSystem;
	}
	
	public String getChemRepresentationSystem() {
		return chemRepresentationSystem;
	}

	public void setChemRepresentationSystem(String chemRepresentationSystem) {
		this.chemRepresentationSystem = chemRepresentationSystem;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public ChemicalRepresentationSystem getChemicalRepresentationSystem() {
		return chemicalRepresentationSystem;
	}

	public void setChemicalRepresentationSystem(ChemicalRepresentationSystem chemicalRepresentationSystem) {
		this.chemicalRepresentationSystem = chemicalRepresentationSystem;
	}

	public SubstanceDetail getSubstanceDetail() {
		return substanceDetail;
	}

	public void setSubstanceDetail(SubstanceDetail substanceDetail) {
		this.substanceDetail = substanceDetail;
	}

}